<!--
  Copyright (c) 2007-2008 Obeo
  
  All rights reserved. This program and the accompanying materials
  are made available under the terms of the Eclipse Public License v1.0
  which accompanies this distribution, and is available at
  http://www.eclipse.org/legal/epl-v10.html
 
  Contributors:
     Obeo - initial API and implementation
 -->

<xsl:stylesheet  version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
xmlns:sca="http://www.osoa.org/xmlns/sca/1.0" 
xmlns="http://www.osoa.org/xmlns/sca/1.0"
xmlns:tuscany="http://tuscany.apache.org/xmlns/sca/1.0"
exclude-result-prefixes="sca">

<xsl:output encoding="ISO-8859-15" method="xml" indent="yes"/>

<xsl:template match="node() | @*">
  <xsl:copy>
    <xsl:apply-templates select="@* | node()"/>
  </xsl:copy>
</xsl:template>
 
<xsl:template match="sca:implementation.script">
  <tuscany:implementation.script>
  <xsl:apply-templates select="node() | @*"/>
  </tuscany:implementation.script>
</xsl:template>

<xsl:template match="sca:implementation.notification">
  <tuscany:implementation.notification>
  <xsl:apply-templates select="node() | @*"/>
  </tuscany:implementation.notification>
</xsl:template>

<xsl:template match="sca:implementation.xquery">
  <tuscany:implementation.xquery>
  <xsl:apply-templates select="node() | @*"/>
  </tuscany:implementation.xquery>
</xsl:template>

<xsl:template match="sca:implementation.resource">
  <tuscany:implementation.resource>
  <xsl:apply-templates select="node() | @*"/>
  </tuscany:implementation.resource>
</xsl:template>

<xsl:template match="sca:implementation.osgi">
  <tuscany:implementation.osgi>
  <xsl:apply-templates select="node() | @*"/>
  </tuscany:implementation.osgi>
</xsl:template>

<xsl:template match="sca:implementation.spring">
  <tuscany:implementation.spring>
  <xsl:apply-templates select="node() | @*"/>
  </tuscany:implementation.spring>
</xsl:template>

<xsl:template match="sca:implementation.bpel">
  <tuscany:implementation.bpel>
  <xsl:apply-templates select="node() | @*"/>
  </tuscany:implementation.bpel>
</xsl:template>

<xsl:template match="sca:binding.rmi">
  <tuscany:binding.rmi>
  <xsl:apply-templates select="node() | @*"/>
  </tuscany:binding.rmi>
</xsl:template>

<xsl:template match="sca:binding.atom">
  <tuscany:binding.atom>
  <xsl:apply-templates select="node() | @*"/>
  </tuscany:binding.atom>
</xsl:template>

<xsl:template match="sca:binding.dwr">
  <tuscany:binding.dwr>
  <xsl:apply-templates select="node() | @*"/>
  </tuscany:binding.dwr>
</xsl:template>

<xsl:template match="sca:binding.http">
  <tuscany:binding.http>
  <xsl:apply-templates select="node() | @*"/>
  </tuscany:binding.http>
</xsl:template>

<xsl:template match="sca:binding.jsonrpc">
  <tuscany:binding.jsonrpc>
  <xsl:apply-templates select="node() | @*"/>
  </tuscany:binding.jsonrpc>
</xsl:template>

<xsl:template match="sca:binding.notification">
  <tuscany:binding.notification>
  <xsl:apply-templates select="node() | @*"/>
  </tuscany:binding.notification>
</xsl:template>

<xsl:template match="sca:binding.rss">
  <tuscany:binding.rss>
  <xsl:apply-templates select="node() | @*"/>
  </tuscany:binding.rss>
</xsl:template>

<xsl:template match="sca:binding.ejb">
  <tuscany:binding.ejb>
  <xsl:apply-templates select="node() | @*"/>
  </tuscany:binding.ejb>
</xsl:template>

<xsl:template match="sca:interface.wsdl">
  <tuscany:interface.wsdl>
  <xsl:apply-templates select="node() | @*"/>
  </tuscany:interface.wsdl>
</xsl:template>

<xsl:template match="sca:interface.partnerLinkType">
  <tuscany:interface.partnerLinkType>
  <xsl:apply-templates select="node() | @*"/>
  </tuscany:interface.partnerLinkType>
</xsl:template>

</xsl:stylesheet >
 